/* 颜色样式 */
:root {
  --fs-tkcs-comment-bg: rgba(27, 49, 55, 0.6);
  --fs-tkcs-comment-font-color: #FFFFFF;
  --fs-tkcs-comment-icon-color: #9ECCDA;
  --fs-tkcs-comment-pagination-bg: #FFFFFF;
}

/* 主题样式 */
.fs-tkcs-comment {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 64px;
  width: 100%;
  padding-top: 90px;
  padding-bottom: 24px;
  overflow: hidden;
  --fs-tkcs-comment-swiper-img-width: 90px;
}

.fs-tkcs-comment::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--fs-tkcs-comment-bg);
  z-index: 1;
}

.fs-tkcs-comment-bg-pc,
.fs-tkcs-comment-bg-mobile {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  z-index: -1;
}

.fs-tkcs-comment-bg-pc {
  background-image: url(../images/jpg/9c2ba9cd64da44678a5aab57d1d578cf.jpg);
}

.fs-tkcs-comment-bg-mobile {
  display: none;
  background-image: url(../images/jpg/9c2ba9cd64da44678a5aab57d1d578cf.jpg);
}

.fs-tkcs-comment-main {
  position: relative;
  z-index: 2;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 654px;
  padding-bottom: calc(var(--fs-tkcs-comment-swiper-img-width) / 2 );
}

.fs-tkcs-comment-main::after {
  content: '';
  position: absolute;
  top: calc(var(--fs-tkcs-comment-swiper-img-width) / 2 );
  left: 0;
  width: 100%;
  height: calc(100% - calc(var(--fs-tkcs-comment-swiper-img-width) / 2 ));
  flex-shrink: 0;
  -webkit-mask-image: url('../images/svg/cc13ae6579e4473f92c6a6d20c4d000b.svg');
  -webkit-mask-size: 100% 100%;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-image: url('../images/svg/cc13ae6579e4473f92c6a6d20c4d000b.svg');
  mask-size: 100% 100%;
  mask-repeat: no-repeat;
  mask-position: center;
  background: var(--fs-tkcs-comment-icon-color);
}

.fs-tkcs-comment-main::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 50%);
  width: 42px;
  height: 42px;
  flex-shrink: 0;
  -webkit-mask-image: url('../images/svg/08ce157a5d354bee8207b711e2ce7368.svg');
  -webkit-mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-image: url('../images/svg/08ce157a5d354bee8207b711e2ce7368.svg');
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
  background: var(--fs-tkcs-comment-icon-color);
}

/* 内容 */
.fs-tkcs-comment-swiper-content {
  position: relative;
  width: 654px;
  overflow: hidden;
  z-index: 2;
  height: auto;
}

.fs-tkcs-comment-swiper-content .swiper-wrapper{
  display: flex;
  align-items: stretch;
}


.fs-tkcs-comment-swiper-content .swiper-slide {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 18px;
  padding: 0px 56px;
  /* background-color: rgba(170, 6, 7, 0.2); */
  height: auto;
}

/* 头像 */
.fs-tkcs-comment-swiper-content-avatar {
  position: relative;
  width: var(--fs-tkcs-comment-swiper-img-width);
  height: var(--fs-tkcs-comment-swiper-img-width);
  overflow: hidden;
  z-index: 2;
}

.fs-tkcs-comment-swiper-content-avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.fs-tkcs-comment-swiper-content-name {
  color: var(--fs-tkcs-comment-font-color);
  text-align: center;
  font-family: Urbanist;
  font-size: 32px;
  font-style: normal;
  font-weight: 400;
  line-height: 1.2;
  /* height: 44px; */
  /* 32px */
  /* text-transform: capitalize; */

  /* word-break: break-word;
  text-overflow: ellipsis;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical; */
}

.fs-tkcs-comment-swiper-content-msg {
  color: var(--fs-tkcs-comment-font-color);
  text-align: center;
  font-family: Rubik;
  font-size: 20px;
  font-style: normal;
  font-weight: 300;
  line-height: 1.2;
  /* 20px */
  /* height: 76px; */

  /* word-break: break-word;
  text-overflow: ellipsis;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical; */
}

.fs-tkcs-comment-swiper-content-project {
  color: var(--fs-tkcs-comment-icon-color);
  text-align: center;
  font-family: Rubik;
  font-size: 16px;
  font-style: normal;
  font-weight: 300;
  line-height: 1.2;
  margin-top: auto;
  /* 16px */

  /* word-break: break-word;
  text-overflow: ellipsis;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical; */
}

/* 分液器 */
.fs-tkcs-comment-swiper-pagination {
  position: relative;
  z-index: 2;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.fs-tkcs-comment-swiper-pagination span {
  width: 64px;
  height: 2px;
  background-color: var(--fs-tkcs-comment-pagination-bg);
  border-radius: 0px;
}


/* Media Query */
@media (max-width: 1000px) {

  /* 主题样式 */
  .fs-tkcs-comment {
    gap: 5.2rem;
    width: 100%;
    padding-top: 5.63rem;
    padding-bottom: 1.5rem;
    --fs-tkcs-comment-swiper-img-width: 5.625rem;
  }

  .fs-tkcs-comment-bg-pc {
    display: none;
  }

  .fs-tkcs-comment-bg-mobile {
    display: block;
  }

  .fs-tkcs-comment-main {
    width: 40.875rem;
  }

  .fs-tkcs-comment-main::before {
    width: 2.625rem;
    height: 2.625rem;
  }


  /* 内容 */
  .fs-tkcs-comment-swiper-content {
    width: 40.875rem;
    /* height: 24rem; */
  }

  .fs-tkcs-comment-swiper-content::before {
    -webkit-mask-image: url('../images/svg/3cd01f64b6644da7b10fb23466d9a0f4.svg');
    mask-image: url('../images/svg/3cd01f64b6644da7b10fb23466d9a0f4.svg');
  }


  .fs-tkcs-comment-swiper-content .swiper-slide {
    gap: 1.5rem;
    padding: 0rem 3.5rem;

  }

  .fs-tkcs-comment-swiper-content-name {
    font-size: 2.2rem;
    /* height: 3rem; */
  }

  .fs-tkcs-comment-swiper-content-msg {
    font-size: 1.65rem;
    /* height: 7rem; */
  }

  .fs-tkcs-comment-swiper-content-project {
    font-size: 1.5rem;
  }

  /* 分液器 */

  .fs-tkcs-comment-swiper-pagination span {
    width: 5.5rem;
    height: 0.25rem;
  }
}